logn "source ask.sh" > /dev/null 2>&1

function ask() {

logn "ask() called, arg: $1, default: $2"

Default="$2"
[ -z "$Default" ] && Default="y"

# non-interactive operation defaults to answering default to all questions
# no output there.
if [ -z "$interactive" -o ! -t 0 ]; then
  logn "   ask(): not interactive, using default"
  ans="$Default"
else
  echo -n "$1 (y/n) [$Default] "
  read ans
fi

if [ -z "$ans" ]; then
  ans="$Default"
fi

case "$ans" in
  y*|Y*|j*|J*)
    return 0
    ;;
  *)
    return 1
    ;;
esac

}

function confirm () {
	if [ -z "$interactive" ]; then
		log "*** $1"
	fi

	ask "$1 Ok?" "y" 
}
